Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[overlay] unity-gentoo
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 19, 20, 21 ... 24, 25, 26  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
pelargos
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 129

PostPosted: Sun Apr 28, 2013 10:34 am    Post subject: Reply with quote

Hello, i tried to install it but, i have this error:
http://bpaste.net/show/94835/
P.S bad english...
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Apr 29, 2013 2:08 am    Post subject: Reply with quote

brothermechanic wrote:
I try to upgrade clutter to 1.14 versoin and give new problem with dev-libs/libunity-misc http://bpaste.net/show/94785/

And, please fix problem with dev-libs/libdbusmenu-12.10.3_p0_p01
Code:

* Running aclocal -I m4 ...
 [ !! ]

 * Failed Running aclocal !

http://bpaste.net/show/94642/
Quote:
* Failed Running aclocal !
*
* Include in your bugreport the contents of:
*
* /var/tmp/portage/dev-libs/libunity-misc-4.0.5_p0_p01/temp/aclocal.out

Can you please include the contents of /var/tmp/portage/dev-libs/libunity-misc-4.0.5_p0_p01/temp/aclocal.out and /var/tmp/portage/dev-libs/libdbusmenu-12.10.3_p0_p01/temp/aclocal.out
Also, still waiting for your backtrace when gnome-control-center segfaults, thanks :)
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Apr 29, 2013 2:15 am    Post subject: Reply with quote

Hi pelargos!
Quote:
autotools.eclass could not be found by inherit()

autotools.eclass is provided the portage tree and by default your system should be using this.
Can you provide the output of 'emerge --info' ?
I'd be interested to see what your PORTDIR has been set to, thanks :)
Back to top
View user's profile Send private message
pelargos
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 129

PostPosted: Mon Apr 29, 2013 7:57 am    Post subject: Reply with quote

shiznix wrote:
Hi pelargos!
Quote:
autotools.eclass could not be found by inherit()

autotools.eclass is provided the portage tree and by default your system should be using this.
Can you provide the output of 'emerge --info' ?
I'd be interested to see what your PORTDIR has been set to, thanks :)


I actually now use Sabayon xD.

http://bpaste.net/show/95076/
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Apr 29, 2013 8:16 am    Post subject: Reply with quote

pelargos wrote:
shiznix wrote:
Hi pelargos!
Quote:
autotools.eclass could not be found by inherit()

autotools.eclass is provided the portage tree and by default your system should be using this.
Can you provide the output of 'emerge --info' ?
I'd be interested to see what your PORTDIR has been set to, thanks :)


I actually now use Sabayon xD.

http://bpaste.net/show/95076/

Unfortunately I'm not familiar with Sabayon 8O
Gentoo keeps it's eclasses in /usr/portage/eclass, so you should have /usr/portage/eclass/autotools.eclass
So either it's missing or Sabayon doesn't know howto use or can't see portage's eclasses ?

Hope that helps some :|
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Apr 29, 2013 1:24 pm    Post subject: Reply with quote

russK wrote:
I had the gnome-control-center segfault too, but I managed to make it go away.

The USE="debug" emerge did not keep it from stripping the symbols, so the backtrace only showed that it was in libclutter.so when it crashed.

I took it as an opportunity to upgrade my clutter-gtk to 1.4.4 with
Code:
emerge --ask  =media-libs/clutter-gtk-1.4.4 --autounmask-write


In the process it updated three clutter related packages. I now have:
Code:
equery list -f clutter
 * Searching for clutter ...
[IP-] [  ] media-libs/clutter-1.14.2:1.0
[IP-] [  ] media-libs/clutter-gst-2.0.0:2.0
[IP-] [  ] media-libs/clutter-gtk-1.4.4:1.0

Finally I was able to reproduce the gnome-control-center segfaulting.
100% confirmed that upgrading (and not rebuilding) of media-libs/clutter to 1.14.2 is needed to fix the segfault.
Have added >=media-libs/clutter-1.14.2 to DEPEND for gnome-control-center.

Nice work russK 8)

EDIT: OOps! Upgrading media-libs/clutter to 1.14 does in fact fix the gnome-control-center segfault, but completely breaks gdm login, gnome-shell and so Gnome itself :(
Have since downgraded back to clutter-1.12 and tracked it down to cheese so have disabled gnome-control-center building cheese module for now.
Thanks for your patience! :)


Last edited by shiznix on Tue Apr 30, 2013 12:45 pm; edited 1 time in total
Back to top
View user's profile Send private message
pelargos
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 129

PostPosted: Mon Apr 29, 2013 1:28 pm    Post subject: Reply with quote

shiznix wrote:
pelargos wrote:
shiznix wrote:
Hi pelargos!
Quote:
autotools.eclass could not be found by inherit()

autotools.eclass is provided the portage tree and by default your system should be using this.
Can you provide the output of 'emerge --info' ?
I'd be interested to see what your PORTDIR has been set to, thanks :)


I actually now use Sabayon xD.

http://bpaste.net/show/95076/

Unfortunately I'm not familiar with Sabayon 8O
Gentoo keeps it's eclasses in /usr/portage/eclass, so you should have /usr/portage/eclass/autotools.eclass
So either it's missing or Sabayon doesn't know howto use or can't see portage's eclasses ?

Hope that helps some :|


I just forgot to sync xD (yes im newbie). Now i have this error http://bpaste.net/show/95117/
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Tue Apr 30, 2013 9:56 am    Post subject: Reply with quote

pelargos wrote:
I just forgot to sync xD (yes im newbie). Now i have this error http://bpaste.net/show/95117/

Looks messy.
So you have three possible repo's, not including unity-gentoo, with a mixture of packages emerged from all of them (sabayon-distro, gentoo and systemd-love).
I'm not sure how sabayon-distro and gentoo repos are supposed to interact with each other (perhaps someone who uses Sabayon might be able to guide the way here).

But before you attempt to install Unity from the unity-gentoo overlay I'd suggest getting your system in order and up to date first:
Code:
layman -d systemd-love
layman -d unity-gentoo
rm /etc/portage/package.mask/unity-portage.pmask
rm /etc/portage/package.keywords/unity-portage.pkeywords
emerge -uDNpvt world

Once this is done, it should make installing unity-gentoo a little more straight forward.
Back to top
View user's profile Send private message
pelargos
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 129

PostPosted: Tue Apr 30, 2013 11:54 am    Post subject: Reply with quote

shiznix wrote:
pelargos wrote:
I just forgot to sync xD (yes im newbie). Now i have this error http://bpaste.net/show/95117/

Looks messy.
So you have three possible repo's, not including unity-gentoo, with a mixture of packages emerged from all of them (sabayon-distro, gentoo and systemd-love).
I'm not sure how sabayon-distro and gentoo repos are supposed to interact with each other (perhaps someone who uses Sabayon might be able to guide the way here).

But before you attempt to install Unity from the unity-gentoo overlay I'd suggest getting your system in order and up to date first:
Code:
layman -d systemd-love
layman -d unity-gentoo
rm /etc/portage/package.mask/unity-portage.pmask
rm /etc/portage/package.keywords/unity-portage.pkeywords
emerge -uDNpvt world

Once this is done, it should make installing unity-gentoo a little more straight forward.



I get this error: :(
http://bpaste.net/show/95381/
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Tue Apr 30, 2013 12:41 pm    Post subject: Reply with quote

pelargos wrote:
I get this error: :(
http://bpaste.net/show/95381/

Looks like it's probably erroring out on xpdf-headers(+) USE flag syntax and so you might need to do 'emerge portage' to ensure you have the latest portage installed so that it recognises EAPI4 which introduces that syntax.
Back to top
View user's profile Send private message
noclear2000
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jun 2006
Posts: 144
Location: Germany

PostPosted: Tue Apr 30, 2013 1:04 pm    Post subject: Reply with quote

hi there


did anyone manage to add his/her ICQ account via online-accounts-preferences? To use empathy as an ICQ client for example. It is not possible for me because the UI offers only a "done" and "abort" button (translated) but no form fields and labels to enter anything.


This is my version of the control-center item:
Code:
unity-base/gnome-control-center-signon-0.1.6_p0_p01



thanks and cheers
Back to top
View user's profile Send private message
pelargos
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 129

PostPosted: Tue Apr 30, 2013 7:45 pm    Post subject: Reply with quote

shiznix wrote:
pelargos wrote:
I get this error: :(
http://bpaste.net/show/95381/

Looks like it's probably erroring out on xpdf-headers(+) USE flag syntax and so you might need to do 'emerge portage' to ensure you have the latest portage installed so that it recognises EAPI4 which introduces that syntax.


Same error :/
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Wed May 01, 2013 10:09 am    Post subject: Reply with quote

noclear2000 wrote:
hi there


did anyone manage to add his/her ICQ account via online-accounts-preferences? To use empathy as an ICQ client for example. It is not possible for me because the UI offers only a "done" and "abort" button (translated) but no form fields and labels to enter anything.


This is my version of the control-center item:
Code:
unity-base/gnome-control-center-signon-0.1.6_p0_p01



thanks and cheers

Hi noclear2000!

The UI that should be presented to you asking for your ICQ UIN and password is handled by the unity-base/signon-ui package.
But as a catchall you can try the following:
Code:
eix-update
emerge -a1 $(eix -I signon --only-names)

This will re-install all signon associated packages.
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Wed May 01, 2013 10:16 am    Post subject: Reply with quote

pelargos wrote:
shiznix wrote:
pelargos wrote:
I get this error: :(
http://bpaste.net/show/95381/

Looks like it's probably erroring out on xpdf-headers(+) USE flag syntax and so you might need to do 'emerge portage' to ensure you have the latest portage installed so that it recognises EAPI4 which introduces that syntax.


Same error :/

I'm not sure how to help more on that issue, short of perhaps consulting some Sabayon users ? :(

Hope to see you soon using Unity on Sabayon, it'd be a first I think ;)
Back to top
View user's profile Send private message
russK
Apprentice
Apprentice


Joined: 27 Jun 2006
Posts: 224

PostPosted: Thu May 02, 2013 1:39 pm    Post subject: Reply with quote

I have been battling a problem with launcher not showing up. Any ideas? I'm not even sure why it's not working, so I have only been re-emerging things.

In the meantime I use AWN dock. I would rather have the real launcher.


Thanks so much for the overlay.
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Thu May 02, 2013 9:28 pm    Post subject: Reply with quote

russK wrote:
I have been battling a problem with launcher not showing up. Any ideas? I'm not even sure why it's not working, so I have only been re-emerging things.

In the meantime I use AWN dock. I would rather have the real launcher.


Thanks so much for the overlay.

What output do you get from the following:
Code:
gsettings get org.compiz.core:/org/compiz/profiles/unity/plugins/core/ active-plugins

Also, do you see any failures in ~/.xsession-errors?

If your compizconfig is messed you can reset by doing 'compiz.reset' as the desktop user inside your running Xsession.
Back to top
View user's profile Send private message
russK
Apprentice
Apprentice


Joined: 27 Jun 2006
Posts: 224

PostPosted: Fri May 03, 2013 12:38 am    Post subject: Reply with quote

Looks like the compiz.reset fixed it, even though I kindof recall doing that once before.

Here's the output of gsettings:

Code:
 $ gsettings get org.compiz.core:/org/compiz/profiles/unity/plugins/core/ active-plugins
['core', 'composite', 'opengl', 'copytex', 'compiztoolbox', 'decor', 'vpswitch', 'resize', 'regex', 'mousepoll', 'place', 'snap', 'grid', 'imgpng', 'gnomecompat', 'move', 'animation', 'wall', 'fade', 'session', 'workarounds', 'expo', 'scale', 'ezoom', 'unityshell']


My .xsession-errors showed an error from a few days ago when I was trying to use xdm. I usually use the console and startx.


Thanks very much for the help and again for the overlay.
Back to top
View user's profile Send private message
brothermechanic
n00b
n00b


Joined: 10 Dec 2012
Posts: 31

PostPosted: Sat May 04, 2013 10:30 am    Post subject: Reply with quote

Hi!
I solve error with "Failed Running aclocal !" when i downgrade to automake-1.12*.
Sorry for noise)))

Now old bug with building nm-applet
build.log http://bpaste.net/show/96315/
environment http://bpaste.net/show/96317/

gnome-control-center now work!!! (w/o upgrade clutter)

Thank you for great overlay!
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sun May 05, 2013 12:42 am    Post subject: Reply with quote

brothermechanic wrote:
Hi!
I solve error with "Failed Running aclocal !" when i downgrade to automake-1.12*.
Sorry for noise)))

Now old bug with building nm-applet
build.log http://bpaste.net/show/96315/
environment http://bpaste.net/show/96317/

gnome-control-center now work!!! (w/o upgrade clutter)

Thank you for great overlay!

Great! Glad you got it working :)
I've fixed the nm-applet compilation, it will compile with any gcc version including 4.8.

Thanks for the info on automake-1.13 too, it's a common problem affecting a lot of packages at the moment.
Fix committed, it will compile with any automake version now including 1.13.
Back to top
View user's profile Send private message
russK
Apprentice
Apprentice


Joined: 27 Jun 2006
Posts: 224

PostPosted: Sun May 05, 2013 5:30 am    Post subject: Reply with quote

shiznix wrote:
EDIT: OOps! Upgrading media-libs/clutter to 1.14 does in fact fix the gnome-control-center segfault, but completely breaks gdm login, gnome-shell and so Gnome itself :(
Have since downgraded back to clutter-1.12 and tracked it down to cheese so have disabled gnome-control-center building cheese module for now.
Thanks for your patience! :)


Right, I can confirm my gdm was broken, so I downgraded clutter to 1.12 and that fixed it. My gnome-control-center is still working too. I have media-video/cheese-3.6.2:0/7 installed. I'm not sure if that's what you mean about the cheese module. I'm quite pleased at the moment in any case.


Cheers!
Back to top
View user's profile Send private message
brothermechanic
n00b
n00b


Joined: 10 Dec 2012
Posts: 31

PostPosted: Sun May 05, 2013 12:19 pm    Post subject: Reply with quote

Still nm-applet don't build
http://bpaste.net/show/96502/
Back to top
View user's profile Send private message
brothermechanic
n00b
n00b


Joined: 10 Dec 2012
Posts: 31

PostPosted: Sun May 05, 2013 3:35 pm    Post subject: Reply with quote

New building error with unity-extra/unity-tweak-tool-0.0.4
http://bpaste.net/show/96543/
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sun May 05, 2013 10:29 pm    Post subject: Reply with quote

brothermechanic wrote:
Still nm-applet don't build
http://bpaste.net/show/96502/

As a test, see what happens when you turn down the CFLAGS optimisations from:
Code:
-march=corei7-avx -mcx16 -msahf -mno-movbe -maes -mpclmul -mpopcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mavx -mno-avx2 -msse4.2 -msse4.1 -mno-lzcnt -mno-rtm -mno-hle -mrdrnd -mf16c -mfsgsbase -mno-rdseed -mno-prfchw -mno-adx -mfxsr -mxsave -mxsaveopt --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=6144 -mtune=generic -O2 -pipe
To maybe:
Code:
-march=native -O2 -pipe

brothermechanic wrote:
New building error with unity-extra/unity-tweak-tool-0.0.4
http://bpaste.net/show/96543/

Oops yes, I'd tested it running with python2 but not installing with python2, fixed now and thanks for reporting! :)
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon May 06, 2013 4:18 am    Post subject: Reply with quote

So probably time for an update on what's been happening with the overlay.

We are now using Ubuntu's notify-osd notifications instead of notification-daemon's (notification-daemon can still be used instead if preferred).
Unsettings has been dropped from the overlay and unity-tweak-tool takes it's place.

The latest Raring version of rhythmbox-ubuntuone sees Ubuntu drop the music store interface from rhythmbox, so the plugin now only polls for finished downloads through the ubuntuone music store.
The UbuntuOne music webstore is not as good as the old one used in the now defunct interface (imo) so i've added a 'ubuntuonemusic-old-store' USE flag for that (see below).

Some extra USE flags have been added to unity-base/unity-meta ebuild (accessibility, gnome, gnome-extras and xdm):
accessibility - Gnome accessibility packages
gnome - Gnome core applications such as gnome-terminal, totem, eog etc.
gnome-extras - Gnome extra applications such as file-roller, evolution, gcalctool etc.
xdm - Use a display manager, defaults to unity-greeter(lightdm) and falls back to gdm

Extra USE flag added to unity-base/webapps:
ubuntuonemusic-old-store - Use the old featureful music store (supports Genres and able to be browsed)

Extra USE flag added to unity-base/unity:
branding - Replaces Canonical's logo with a Gentoo logo for the Dash launcher

Some work has been done trying to get gnome-3.8 working along side Unity, but currently being held back by some Unity packages and some portage packages:
Gnome 3.8 integration
* >=net-libs/libsoup-2.42 now blocks net-libs/libsoup-gnome
- unity-indicators/indicator-datetime requires libedataserverui-3.0.pc from evolution-data-server-3.6
- mail-client/evolution-3.6 requires net-libs/libsoup-gnome
* >=gnome-base/gnome-control-center-3.8
- gnome-control-center-{signon,unity} require libgnome-control-center.pc which doesn't exist in gnome-control-center-3.8
- gnome-control-center printer settings require smbclient.pc but <samba-4 doesn't install it's pkgconfig files (refer b.g.o 464818)
* >=gnome-extra/nautilus-sendto-3.8
- Empathy requires nautilus-sendto.pc which doesn't exist in nautilus-sendto-3.8

And I'd also like to take the opportunity to thank renegart for his massive contribution since getting involved with implementing unity-greeter and beyond, thanks! :D
Back to top
View user's profile Send private message
brothermechanic
n00b
n00b


Joined: 10 Dec 2012
Posts: 31

PostPosted: Mon May 06, 2013 6:30 am    Post subject: Reply with quote

Don't compiled(((
Code:

 # cat /etc/portage/env/gnome-extra/nm-applet
CFLAGS="-march=native -O2 -pipe"
CXXFLAGS="${CFLAGS}"


Code:
nm_applet-applet-device-broadband.o Error


ps: may be need to update to newer version?


Last edited by brothermechanic on Mon May 06, 2013 11:06 am; edited 1 time in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 19, 20, 21 ... 24, 25, 26  Next
Page 20 of 26

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum